Bug 1257619 - Review Request: golang-github-julienschmidt-httprouter - A high performance HTTP request router that scales well
Summary: Review Request: golang-github-julienschmidt-httprouter - A high performance H...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Odvody
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-27 13:11 UTC by Jan Chaloupka
Modified: 2015-10-20 14:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-03 18:00:07 UTC
podvody: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-08-27 13:11:47 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-julienschmidt-httprouter/golang-github-julienschmidt-httprouter.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-julienschmidt-httprouter/golang-github-julienschmidt-httprouter-1.1-1.fc20.src.rpm

Description: A high performance HTTP request router that scales well

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=10854995

$ rpmlint golang-github-julienschmidt-httprouter-1.1-1.fc20.src.rpm golang-github-julienschmidt-httprouter-devel-1.1-1.fc20.noarch.rpm golang-github-julienschmidt-httprouter-unit-test-1.1-1.fc20.x86_64.rpm
golang-github-julienschmidt-httprouter-unit-test.x86_64: E: devel-dependency golang-github-julienschmidt-httprouter-devel
3 packages and 0 specfiles checked; 1 errors, 0 warnings.

Notes: every unit-test depends on devel as devel provides source codes tested by unit-test subpackage.

Comment 1 Pavel Odvody 2015-08-27 13:58:34 UTC
Specfile looks ok
License: BSD

$ rpmlint golang-github-julienschmidt-httprouter.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint golang-github-julienschmidt-httprouter-1.1-1.fc20.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint golang-github-julienschmidt-httprouter-devel-1.1-1.fc24.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 
$ rpmlint golang-github-julienschmidt-httprouter-unit-test-1.1-1.fc24.x86_64.rpm
golang-github-julienschmidt-httprouter-unit-test.x86_64: E: devel-dependency golang-github-julienschmidt-httprouter-devel

Package approved.

Comment 2 Jan Chaloupka 2015-08-27 14:34:06 UTC
New Package SCM Request
=======================
Package Name: golang-github-julienschmidt-httprouter
Short Description: A high performance HTTP request router that scales well
Upstream URL: https://github.com/julienschmidt/httprouter
Owners: fpokorny jchaloup
Branches: f23 f22 f21 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2015-08-27 15:19:13 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2015-08-27 17:56:37 UTC
golang-github-julienschmidt-httprouter-1.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14433

Comment 5 Fedora Update System 2015-08-27 17:59:54 UTC
golang-github-julienschmidt-httprouter-1.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14434

Comment 6 Fedora Update System 2015-08-27 18:09:38 UTC
golang-github-julienschmidt-httprouter-1.1-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14439

Comment 7 Fedora Update System 2015-08-27 18:11:21 UTC
golang-github-julienschmidt-httprouter-1.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7824

Comment 8 Fedora Update System 2015-08-28 05:19:11 UTC
golang-github-julienschmidt-httprouter-1.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang-github-julienschmidt-httprouter'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7824

Comment 9 Fedora Update System 2015-08-28 18:53:10 UTC
golang-github-julienschmidt-httprouter-1.1-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang-github-julienschmidt-httprouter'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14439

Comment 10 Fedora Update System 2015-08-28 18:57:38 UTC
golang-github-julienschmidt-httprouter-1.1-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang-github-julienschmidt-httprouter'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14434

Comment 11 Fedora Update System 2015-08-31 18:52:40 UTC
golang-github-julienschmidt-httprouter-1.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang-github-julienschmidt-httprouter'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14433

Comment 12 Fedora Update System 2015-10-03 18:00:05 UTC
golang-github-julienschmidt-httprouter-1.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-10-20 01:55:33 UTC
golang-github-julienschmidt-httprouter-1.1-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-10-20 14:57:20 UTC
golang-github-julienschmidt-httprouter-1.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.